curl --request GET \
--url https://api.wodup.dev/api/public/wods/{id}/training_sessions \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.wodup.dev/api/public/wods/{id}/training_sessions"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.wodup.dev/api/public/wods/{id}/training_sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"athlete": {
"access": "member",
"added_at": "2001-01-01T00:00:00Z",
"email": "jane@smith.com",
"gender": "female",
"id": "ath_123abc",
"name": "Jane Smith",
"staff": null
},
"competition": null,
"id": "s_123abc",
"results": [
{
"comments": [
{
"author": {
"id": "ath_123abc",
"name": "Jane Doe"
},
"can_modify": true,
"created_at": "2000-01-01T00:00:00Z",
"id": "c_123abc",
"replies": [],
"text": "Great job!"
}
],
"description": null,
"details": {
"rest": {
"type": "as_needed"
},
"sets": [
{
"load": 6,
"load_unit": "kg",
"movement_id": "mv_fT0m3viH",
"reps": 5
}
]
},
"done_at": "2001-01-01T12:00:00.000000Z",
"id": "r_123abc",
"movements": [
{
"complex_details": null,
"description": null,
"has_calories": false,
"has_distance": false,
"has_duration": false,
"has_height": false,
"has_load": true,
"has_power": false,
"has_reps": true,
"id": "mv_fT0m3viH",
"name": "Back Squat",
"source": "wodup",
"video": {
"id": "dQw4w9WgXcQ",
"service": "youtube"
}
}
],
"notes": null,
"perceived_exertion": 0,
"prescribed_workout": {
"description": "Back Squat 5 reps",
"details": {
"movements": [
{
"id": "mv_fT0m3viH",
"load": null,
"reps": "5"
}
],
"rest": {
"type": "as_needed"
},
"type": "Strength"
},
"movements": [
{
"complex_details": null,
"description": null,
"has_calories": false,
"has_distance": false,
"has_duration": false,
"has_height": false,
"has_load": true,
"has_power": false,
"has_reps": true,
"id": "mv_fT0m3viH",
"name": "Back Squat",
"source": "wodup",
"video": {
"id": "dQw4w9WgXcQ",
"service": "youtube"
}
}
],
"name": null,
"type": "Strength"
},
"scaled_workout": null,
"scaling": "rx",
"status": "completed",
"type": "StrengthResult",
"wod_component_id": "wc_123abc"
}
]
}
]List WOD training sessions
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Headers
Only used by platform integrations
ID of gym to execute on behalf of
Path Parameters
ID of WOD to get training sessions for
Query Parameters
A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.
1 <= x <= 100A cursor for use in pagination. after_cursor is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include after_cursor=obj_foo in order to fetch the next page of the list.
A cursor for use in pagination. before_cursor is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include before_cursor=obj_bar in order to fetch the previous page of the list.
Response
[
{
"athlete": {
"access": "member",
"added_at": "2001-01-01T00:00:00Z",
"email": "jane@smith.com",
"gender": "female",
"id": "ath_123abc",
"name": "Jane Smith",
"staff": null
},
"competition": null,
"id": "s_123abc",
"results": [
{
"comments": [
{
"author": { "id": "ath_123abc", "name": "Jane Doe" },
"can_modify": true,
"created_at": "2000-01-01T00:00:00Z",
"id": "c_123abc",
"replies": [],
"text": "Great job!"
}
],
"description": null,
"details": {
"rest": { "type": "as_needed" },
"sets": [
{
"load": 6,
"load_unit": "kg",
"movement_id": "mv_fT0m3viH",
"reps": 5
}
]
},
"done_at": "2001-01-01T12:00:00.000000Z",
"id": "r_123abc",
"movements": [
{
"complex_details": null,
"description": null,
"has_calories": false,
"has_distance": false,
"has_duration": false,
"has_height": false,
"has_load": true,
"has_power": false,
"has_reps": true,
"id": "mv_fT0m3viH",
"name": "Back Squat",
"source": "wodup",
"video": { "id": "dQw4w9WgXcQ", "service": "youtube" }
}
],
"notes": null,
"perceived_exertion": 0,
"prescribed_workout": {
"description": "Back Squat 5 reps",
"details": {
"movements": [
{
"id": "mv_fT0m3viH",
"load": null,
"reps": "5"
}
],
"rest": { "type": "as_needed" },
"type": "Strength"
},
"movements": [
{
"complex_details": null,
"description": null,
"has_calories": false,
"has_distance": false,
"has_duration": false,
"has_height": false,
"has_load": true,
"has_power": false,
"has_reps": true,
"id": "mv_fT0m3viH",
"name": "Back Squat",
"source": "wodup",
"video": { "id": "dQw4w9WgXcQ", "service": "youtube" }
}
],
"name": null,
"type": "Strength"
},
"scaled_workout": null,
"scaling": "rx",
"status": "completed",
"type": "StrengthResult",
"wod_component_id": "wc_123abc"
}
]
}
]